bin-prot (1:0.17.0-2build6) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Dec 2025 07:06:45 +0100

bin-prot (1:0.17.0-2build5) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 19 Oct 2025 09:04:54 +0200

bin-prot (1:0.17.0-2build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:18:49 +0200

bin-prot (1:0.17.0-2build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 23:45:26 +0100

bin-prot (1:0.17.0-2build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 22:38:52 +0100

bin-prot (1:0.17.0-2build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:13:20 +0100

bin-prot (1:0.17.0-2) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Thu, 29 Aug 2024 03:20:45 +0200

bin-prot (1:0.17.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 28 Aug 2024 20:35:04 +0200

bin-prot (1:0.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Feb 2024 15:36:40 +0100

bin-prot (1:0.15.0-3) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 08:28:05 +0200

bin-prot (1:0.15.0-2) unstable; urgency=medium

  * Team upload.
  * Fix compilation with recent dune.
  * Fix d/watch
  * Bump standards-version to 4.6.2

 -- Julien Puydt <jpuydt@debian.org>  Wed, 05 Jul 2023 15:02:21 +0200

bin-prot (1:0.15.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Debian Janitor ]
  * Update watch file format version to 4
  * Update pattern for GitHub archive URLs
  * Update standards version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 03 Feb 2023 06:10:15 +0100

bin-prot (1:0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Thu, 30 Jul 2020 09:15:06 +0200

bin-prot (1:0.13.0-2) unstable; urgency=medium

  * Install stub libs on all architectures

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Feb 2020 13:51:58 +0100

bin-prot (1:0.13.0-1) unstable; urgency=medium

  * New upstream release
    - bump epoch to cope with new upstream versioning scheme
  * Update Homepage and debian/watch
  * Build-depend on debhelper-compat
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 03 Feb 2020 16:51:41 +0100

bin-prot (113.33.03-5) unstable; urgency=medium

  * Remove Lifeng from Uploaders (Closes: #925092)
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Sep 2019 08:15:41 +0200

bin-prot (113.33.03-4) unstable; urgency=medium

  * Team upload
  * Replace build-dependency opam by opam-installer
  * Update Vcs-* to salsa
  * Remove trailing whitespace in debian/changelog
  * Debhelper compatibility level 12:
    - move option --fail-missing from override of dh_install to an
      override of dh_missing
  * Standards-Version 4.3.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 09 Jan 2019 21:21:44 +0100

bin-prot (113.33.03-3) unstable; urgency=medium

  * Team upload
  * d/libbin-prot-ocaml.install.in: install @OCamlDllDir@ only on OPT archs
  * Standards-version 4.1.1:
    - change Priority from extra to optional
    - d/copyright: use https form in format url

 -- Ralf Treinen <treinen@debian.org>  Wed, 08 Nov 2017 04:29:36 +0100

bin-prot (113.33.03-2) unstable; urgency=medium

  * Upload to unstable
  * Add Breaks/Replaces libbin-prot-camlp4-dev (Closes: #834069)
  * Clean up camlp4-related dependencies
  * Remove section about camlp4 from README.Debian
  * Move ocaml-findlib to Recommends

 -- Stéphane Glondu <glondu@debian.org>  Wed, 17 Aug 2016 13:54:59 +0200

bin-prot (113.33.03-1) experimental; urgency=medium

  * New upstream release
    - the camlp4 syntax is no longer part of upstream, as a consequence
      rename libbin-prot-camlp4-dev into libbin-prot-ocaml-dev
    - add libbin-prot-ocaml
    - update debian/copyright
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 Jul 2016 15:29:11 +0200

bin-prot (113.00.00-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version
  * Generate API documentation using dh_ocamldoc(1)

 -- Hilko Bengen <bengen@debian.org>  Sat, 02 Jan 2016 17:54:21 +0100

bin-prot (111.03.00-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * Upload to unstable.

 -- Hilko Bengen <bengen@debian.org>  Wed, 24 Sep 2014 20:50:05 +0200

bin-prot (111.03.00-1~exp1) experimental; urgency=medium

  [ Lifeng Sun ]
  * New upstream release.
  * Bump Standards-Version to 3.9.5.

  [ Hilko Bengen ]
  * Upload to experimental

 -- Hilko Bengen <bengen@debian.org>  Sun, 21 Sep 2014 23:20:38 +0200

bin-prot (109.30.00-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 19:56:44 +0100

bin-prot (109.30.00-1) experimental; urgency=low

  * New upstream release.
  * Add myself to Uploaders.
  * Update debian/watch.

 -- Lifeng Sun <lifongsun@gmail.com>  Thu, 25 Jul 2013 19:52:43 +0800

bin-prot (2.0.9-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Stéphane Glondu ]
  * New upstream release (Closes: #713357)
    - bump type-conv requirement
  * Update debian/watch
  * Update debian/control: Vcs-*, Homepage
  * Bump debhelper compat to 9
  * Switch debian/copyright to format version 1.0
  * Bump Standards-Version to 3.9.4

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jun 2013 16:53:26 +0200

bin-prot (2.0.7-1) unstable; urgency=low

  * New upstream release
    - depends on type-conv >= 3.0.3
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 10 Nov 2011 23:53:26 +0100

bin-prot (2.0.1-1) experimental; urgency=low

  * New upstream release
    - drop all patches
  * Update debian/watch to follow forge.ocamlcore.org

 -- Stéphane Glondu <glondu@debian.org>  Thu, 04 Aug 2011 10:30:25 +0200

bin-prot (1.3.1-3) unstable; urgency=low

  * Fix FTBFS on armel:
    - more alignment issues
    - compile C stubs with -fsigned-char

 -- Stéphane Glondu <glondu@debian.org>  Sat, 16 Jul 2011 00:29:54 +0200

bin-prot (1.3.1-2) unstable; urgency=low

  * Fix several portability issues (Closes: #631829)
    - use cpp as default preprocessor on unknown OS (!linux)
    - alignment (e.g. mipsel)
    - endianness (e.g. mips)
  * Fix bigstring layout bug (and FTBFS with OCaml 3.12.1)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 13 Jul 2011 23:12:12 +0200

bin-prot (1.3.1-1) unstable; urgency=low

  * New upstream release
    - remove obsolete patches
    - temporarily disable bigstring tests (they fail with OCaml 3.12.1)
  * Add myself to Uploaders
  * Rewrite debian/rules using dh with overrides
  * Bump Standards-Version to 3.9.2
  * Update debian/watch to follow Jane Street
  * Update Homepage to Jane Street

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jun 2011 15:51:14 +0200

bin-prot (1.2.24-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * debian/control:
    - remove Stefano from Uploaders
    - bump Standards-Version to 3.9.1
    - bump versioned build-dependency to libounit-ocaml-dev to ease
      ounit transition
  * Switch source package format to 3.0 (quilt)
  * Bump debhelper compat level to 8

 -- Stéphane Glondu <glondu@debian.org>  Mon, 21 Feb 2011 02:42:46 +0100

bin-prot (1.2.23-1) unstable; urgency=low

  * New upstream release

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 22 Apr 2010 21:33:43 +0200

bin-prot (1.2.20-1) unstable; urgency=low

  * New upstream release
  * Upgrade Standards-Version to 3.8.3 (no change)
  * Switch to dh-ocaml 0.9.1 (depends and dh_ocamldoc)

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 25 Oct 2009 18:30:20 +0000

bin-prot (1.2.14-2) unstable; urgency=low

  * Fix bytecode only former upload

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 07 Jul 2009 21:08:39 +0000

bin-prot (1.2.14-1) unstable; urgency=low

  * New Upstream Version
  * Tighten build-depends to ease OCaml 3.11.1 transition
  * Upgrade standards-version to 3.8.2 (section ocaml)
  * Update debian/copyright
  * Fix typo in debian/README.Debian

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 07 Jul 2009 01:08:55 +0200

bin-prot (1.2.10-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * New Upstream Version
  * debian/copyright: point to version-specific common license file
  * debian/watch: update to point to upstream proper location
  * debian/control:
    - update Homepage field
    - bump Standards-Version to 3.8.1 (no change)

  [ Sylvain Le Gall ]
  * Add debian/gbp.conf to force using pristine-tar

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 16 Mar 2009 16:19:11 +0100

bin-prot (1.0.5-5) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * rebuild against ocaml 3.11, bump build-dep to induce dep-waits
  * debian/control
    - bump standards-version to 3.8.0 (no changes needed)
    - add build-dep on dh-ocaml, which now ships ocaml.mk
  * debian/rules: use ocaml.mk as a CDBS "rules" file

  [ Mehdi Dogguy ]
  * Fix watch file.

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 01 Mar 2009 09:22:08 +0100

bin-prot (1.0.5-4) unstable; urgency=low

  * fix OCamlMakefile to ensure -fPIC is added to build .o (fix FTBFS on
    64 bit architectures)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 09 May 2008 15:24:37 +0200

bin-prot (1.0.5-3) unstable; urgency=low

  * upload to unstable
  * release to all architecture as discussed with upstream, add notes to
    README.Debian about which cross-architectures patterns work and which
    don't

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 09 May 2008 11:04:18 +0200

bin-prot (1.0.5-2) experimental; urgency=low

  * add build-dep on camlp4-extra (fix FTBFS)
  * rename TODO.Debian to TODO to match debhelper naming convention
  * add todo item about shipping ocamldoc api ref

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 05 May 2008 10:24:01 +0200

bin-prot (1.0.5-1) experimental; urgency=low

  * Initial release (Closes: #479164)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 03 May 2008 18:20:58 +0200
